User account creation filtered due to spam.

Bug 52239 - Upgrade GCC Bugzilla to 4.4
Summary: Upgrade GCC Bugzilla to 4.4
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: web (show other bugs)
Version: unknown
: P3 normal
Target Milestone: ---
Assignee: Frédéric Buclin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-13 19:23 UTC by Frédéric Buclin
Modified: 2013-05-16 16:56 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2012-02-17 00:00:00


Attachments
GCC patch for 4.4, v1 (3.79 KB, patch)
2013-05-09 00:13 UTC, Frédéric Buclin
Details | Diff
GCC extension for 4.4, v1 (9.80 KB, application/octet-stream)
2013-05-09 00:17 UTC, Frédéric Buclin
Details
GCC extension for 4.4, v2 (9.29 KB, application/octet-stream)
2013-05-09 12:14 UTC, Frédéric Buclin
Details
GCC extension for 4.4, v3 (9.36 KB, application/octet-stream)
2013-05-09 12:23 UTC, Frédéric Buclin
Details
GCC extension for 4.4, v4 (9.37 KB, application/octet-stream)
2013-05-09 19:33 UTC, Frédéric Buclin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Buclin 2012-02-13 19:23:09 UTC
It's upgrade time again! :)

Or more exactly, we are close from releasing Bugzilla 4.2 final upstream (currently at 4.2rc2) and it has some valuable security fixes and new features compared to 4.0:

 http://www.bugzilla.org/releases/4.2/release-notes.html#v42_feat


I blogged about security improvements, and I think it worths reading:

 http://lpsolit.wordpress.com/2012/02/01/bugzilla-4-2rc2-4-0-4-3-6-8-and-3-4-14-released/

GCC Bugzilla is currently running 4.0.4, so it has most of the security improvements mentioned in my post, so no worry about that. :)

If there is something I should be aware of before doing the upgrade to 4.2 (due to new security restrictions), please let me know. :)


I have no ETA for the final release of 4.2 (still a few blockers to fix first), so there is no ETA for the upgrade of GCC Bugzilla yet, but I guess this should happen at the end of this month, or during next month.

@overseers: remind me when you plan to upgrade to Perl 5.10+, please. :)
Comment 1 Andrew Pinski 2012-02-17 21:03:18 UTC
Confirmed, CCing overseers since there is a question about the perl version.
Comment 2 Frédéric Buclin 2012-02-22 19:25:45 UTC
Bugzilla 4.2 has been released today. But overseers told me that bzr (Bazaar) cannot be installed on the server because it has a too old version of Python. As Bugzilla 4.0.x is the last branch to have a CVS mirror of the upstream bzr repository, I will have to wait for the upgrade of the server before I can install Bugzilla 4.2 using bzr. Meanwhile, I will keep doing minor upgrades on the 4.0.x branch.
Comment 3 Frédéric Buclin 2012-08-14 18:58:00 UTC
Another reason why I cannot simply download the 4.2 tarball and install it till bzr is available: Bugzilla 4.2 requires MySQL 5.0.15, but the version available is 4.1.22, a way too old version of MySQL.
Comment 4 Frédéric Buclin 2013-01-04 21:16:30 UTC
@oversees: any news about the migration to the new hardware/software?

We released Bugzilla 4.4rc1 meanwhile, and 4.4rc2 should be released in the next 2 weeks. 4.4 final will come next.
Comment 5 Frédéric Buclin 2013-04-18 16:19:51 UTC
I saw that the OS has finally been upgraded to RHEL6. This means that it's now possible to upgrade to Bugzilla 4.4. I won't have time this month, but that's doable during next month.
Comment 6 Frédéric Buclin 2013-05-08 11:43:08 UTC
I plan to upgrade GCC Bugzilla to 4.4 this week. Is there any objection or anything else that I should be aware of before doing the upgrade?
Comment 7 Paolo Carlini 2013-05-08 12:42:47 UTC
Any chance we can take the occasion to restore the svn -> Bugzilla link, where the former automatically sends the commit ChangeLogs to the audit trails?
Comment 8 Frédéric Buclin 2013-05-08 12:49:05 UTC
(In reply to comment #7)
> Any chance we can take the occasion to restore the svn -> Bugzilla link, where
> the former automatically sends the commit ChangeLogs to the audit trails?

That's out of my control. This must be fixed on the SVN side, not the Bugzilla one.
Comment 9 Paolo Carlini 2013-05-08 12:57:04 UTC
Maybe you could refuse to do the update if nobody helps about that. Kidding ;)
Comment 10 Frédéric Buclin 2013-05-09 00:13:37 UTC
Created attachment 30065 [details]
GCC patch for 4.4, v1

Here is the updated patch to work with GCC Bugzilla 4.4. It's similar to attachment 24956 [details] from bug 49935.
Comment 11 Frédéric Buclin 2013-05-09 00:17:17 UTC
Created attachment 30066 [details]
GCC extension for 4.4, v1

And the GCC extension itself.
Comment 12 Frédéric Buclin 2013-05-09 00:20:01 UTC
Note that I didn't include the fix from https://bugzilla.mozilla.org/show_bug.cgi?id=571533 yet as I first want to make sure that this fix is still needed after the upgrade.

I will need to shut down Bugzilla while I do a backup of the DB, upgrade the source code and update the DB schema. I will do it tomorrow (Thursday).
Comment 13 Frédéric Buclin 2013-05-09 11:46:54 UTC
Upgrade complete. Report any problem here, please, or on IRC.
Comment 14 Frédéric Buclin 2013-05-09 12:14:04 UTC
Created attachment 30071 [details]
GCC extension for 4.4, v2

I fixed a bug in the Advanced Search page about custom fields, and also updated the license used from MPL 1.1 to 2.0.
Comment 15 Frédéric Buclin 2013-05-09 12:23:22 UTC
Created attachment 30072 [details]
GCC extension for 4.4, v3

Linkify r123456 in comments to point to http://gcc.gnu.org/viewcvs/gcc?view=revision&revision=123456, see bug 55237.
Comment 16 Frédéric Buclin 2013-05-09 19:33:03 UTC
Created attachment 30078 [details]
GCC extension for 4.4, v4

Fix the weekly bug summary page
Comment 17 Marc Glisse 2013-05-11 08:41:39 UTC
Hello,

the "Keywords" field auto-completes when editing an existing bug, but not in the form to create a new bug. I seem to remember that it used to work...
Comment 18 Frédéric Buclin 2013-05-11 10:41:46 UTC
(In reply to Marc Glisse from comment #17)
> the "Keywords" field auto-completes when editing an existing bug, but not in
> the form to create a new bug. I seem to remember that it used to work...

That's weird. I can indeed reproduce the problem on GCC Bugzilla, but not on my local copy of GCC Bugzilla nor in a vanilla 4.4 installation. Investigating!
Comment 19 Frédéric Buclin 2013-05-11 10:59:32 UTC
(In reply to Marc Glisse from comment #17)
> the "Keywords" field auto-completes when editing an existing bug, but not in
> the form to create a new bug. I seem to remember that it used to work...

Fixed!
Comment 20 Tobias Burnus 2013-05-16 08:55:02 UTC
Since the update, the Bugzilla favicon is shown,
    <link rel="shortcut icon" href="images/favicon.ico" >
-> http://gcc.gnu.org/bugzilla/images/favicon.ico

before the GCC one was shown:
    <link rel="shortcut icon" href="http://gcc.gnu.org/favicon.ico" />
Comment 21 Frédéric Buclin 2013-05-16 10:50:49 UTC
(In reply to Tobias Burnus from comment #20)
> Since the update, the Bugzilla favicon is shown,
> before the GCC one was shown:

Fixed.
Comment 22 Tobias Burnus 2013-05-16 16:55:02 UTC
(In reply to Frédéric Buclin from comment #21)
> (In reply to Tobias Burnus from comment #20)
> > Since the update, the Bugzilla favicon is shown,
> > before the GCC one was shown:
> Fixed.

Doesn't work here:

$ curl http://gcc.gnu.org/bugzilla/show_bug.cgi?id=52238 2>/dev/null|grep ico

still shows
    <link rel="shortcut icon" href="images/favicon.ico" >
which is still the Bugzilla symbol instead of the GCC symbol:
http://gcc.gnu.org/bugzilla/images/favicon.ico

At the Sourceware site, it shows the correct favicon:
   http://sourceware.org/bugzilla/images/favicon.ico

Did you by chance (only) fix it there?
Comment 23 Tobias Burnus 2013-05-16 16:56:07 UTC
(In reply to Tobias Burnus from comment #22)
> Doesn't work here:

Scratch that - the one was seemingly in the cache - despite force-reload. It *is* fixed.